## ros-noetic-lanelet2-routing 1.2.0

=== CMakeLists.txt ===
set(MRT_PKG_VERSION 4.0.0)
# Modify only if you know what you are doing!
cmake_minimum_required(VERSION 3.5.1)
project(lanelet2_routing)

###################
## Find packages ##
###################
find_package(mrt_cmake_modules REQUIRED)
include(UseMrtStdCompilerFlags)
include(GatherDeps)

# You can add a custom.cmake in order to add special handling for this package. E.g. you can do:
# list(REMOVE_ITEM DEPENDEND_PACKAGES <package name 1> <package name 2> ...)
# To remove libs which cannot be found automatically. You can also "find_package" other, custom dependencies there.
# You can also set PROJECT_INSTALL_FILES to install files that are not installed by default.
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
    include("${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
endif()

find_package(AutoDeps REQUIRED COMPONENTS ${DEPENDEND_PACKAGES})

mrt_parse_package_xml()

########################
## Add python modules ##
########################
# This adds a python module if located under src/{PROJECT_NAME)
mrt_python_module_setup()

mrt_glob_files(PROJECT_PYTHON_SOURCE_FILES_SRC "python_api/*.cpp")
if (PROJECT_PYTHON_SOURCE_FILES_SRC)
    # Add a cpp-python api library. Make sure there are no name collisions with python modules in this project
    mrt_add_python_api( ${PROJECT_NAME}
        FILES ${PROJECT_PYTHON_SOURCE_FILES_SRC}
        )
endif()

############################
## Read source code files ##
############################
mrt_glob_files_recurse(PROJECT_HEADER_FILES_INC "include/*.h" "include/*.hpp" "include/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_INC "src/*.h" "src/*.hpp" "src/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_SRC "src/*.cpp" "src/*.cu")

###########
## Build ##
###########
# Declare a cpp library
mrt_add_library(${PROJECT_NAME}
    INCLUDES ${PROJECT_HEADER_FILES_INC} ${PROJECT_SOURCE_FILES_INC}
    SOURCES ${PROJECT_SOURCE_FILES_SRC}
    )

#############
## Install ##
#############
# Install all targets, headers by default and scripts and other files if specified (folders or files).
# This command also exports libraries and config files for dependent packages and this supersedes catkin_package.
mrt_install(PROGRAMS scripts FILES res data ${PROJECT_INSTALL_FILES})

#############
## Testing ##
#############
# Add test targets for cpp and python tests
if (CATKIN_ENABLE_TESTING)
    mrt_add_tests(test)
    mrt_add_nosetests(test)
endif()

=== debian/changelog ===
ros-noetic-lanelet2-routing (1.2.0-2buster) buster; urgency=high

  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Use TYPED_TEST_SUITE over deprecated TYPED_TEST_CASE in unit tests
  * Add missing include for boost 1.69
  * Contributors: Fabian Poggenhans, Fabian Immel

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-lanelet2-routing (1.1.1-2buster) buster; urgency=high



 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-routing (1.1.0-2buster) buster; urgency=high

  * Implement more flexible configuration for obtaining possible paths. Still lacking proper tests
  * Add parameter to left/right/adjacentLeft/adjacentRight so that they can be queried based on routing cost id
  * Fix routing for lane changes, add tests for it
  * Fix wrong route in circles
  * Fix unittests that rely on a non-writable root directory
  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Fix the documentation about how to create a routing graph
  * Removing extra semicolons causing warnings with wpedantic.
  * Making all includes in lanelet2_routing consistent.
  * Updating package.xml files to format 3.
  * Fix use of equals in older boost versions
  * Arbitrary lanelet and area adjacencies in LaneletPaths
  * Add functionality to create the bounding polygon from a Path
  * Contributors: Fabian Poggenhans, Johannes Janosovits, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-routing (1.0.1-2buster) buster; urgency=high

  * Mention laneletSubmap in README
  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Add changelogs
  * Fix clang-tidy warnings
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-noetic-lanelet2-routing (1.0.0-2buster) buster; urgency=high

  * Bump version to 1.0
  * Routing: Add shortest path search based on areas
  * Fix default values for lane changes in RoutingGraph
  * RoutingGraph and Route now use the new LaneletSubmap to store the lanelets they are using
    their member functions laneletMap() and passableMap() are now deprecated and should be replaced by laneletSubmap() and passableSubmap() respectively. These functions have less overhead and are less likely to be misinterpreted as 'maps containing only the lanelets you need'
  * Edges with nonfinite costs are no longer added to the graph to avoid overflows.
    If a cost function returns infinite costs, no edge will be added and the connection will not be available to the routing graph
  * Introduce proper namespacing for internal objects
  * Update documentation
  * Routing graph and route object now support queries with a custom search function
    Routing graph and route object now both have a function forEachSuccessor (and more) for doing more advanced queries. Added doc tests and python bindings
  * Update the shortest path algorithm to use the new dijktra search
  * Extended and simplified the reachablePath/Set functions
    by using boost graphs implementation of dijkstras shortest paths
  * Refactored the internal representation of the route. Cleaned up headers that are only supposed to be used internally
  * Complete rewrite of the route builder using boost graph
  * Removed the "diverging" and "merging" classification from the routing
    graph and update the doc
    They are now all represented with the "succeeding" relation. Information
    about merging or diverging can now be obtained simply by querying the
    number of following/preceding lanelets.
    As a consequence, the route object no longer caches queried "lanes". The
    responsible functions are now const.
  * Fix compiler errors with gcc 5
  * Fix image paths in routing doc
  * Initial commit
  * Contributors: Fabian Poggenhans, Johannes Janosovits, Maximilian Naumann

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-lanelet2-routing
Section: misc
Priority: optional
Maintainer: Fabian Immel <fabian.immel@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, ros-noetic-catkin, ros-noetic-lanelet2-core, ros-noetic-lanelet2-traffic-rules, ros-noetic-mrt-cmake-modules
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-lanelet2-routing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-noetic-lanelet2-core, ros-noetic-lanelet2-traffic-rules, ros-noetic-mrt-cmake-modules
Description: Routing module for lanelet2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-lanelet2-routing//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-lanelet2-routing 1.2.1

=== debian/changelog ===
ros-noetic-lanelet2-routing (1.2.1-2focal) focal; urgency=high

  * Update thirdparty deps, rework projected point, enable python 3.10/3.11 (#300 <https://github.com/immel-f/Lanelet2/issues/300>)
  * Contributors: poggenhans

 -- Fabian Immel <fabian.immel@kit.edu>  Wed, 10 May 2023 00:00:00 -0000

ros-noetic-lanelet2-routing (1.2.0-2focal) focal; urgency=high

  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Use TYPED_TEST_SUITE over deprecated TYPED_TEST_CASE in unit tests
  * Add missing include for boost 1.69
  * Contributors: Fabian Poggenhans, Fabian Immel

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-lanelet2-routing (1.1.1-2focal) focal; urgency=high



 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-routing (1.1.0-2focal) focal; urgency=high

  * Implement more flexible configuration for obtaining possible paths. Still lacking proper tests
  * Add parameter to left/right/adjacentLeft/adjacentRight so that they can be queried based on routing cost id
  * Fix routing for lane changes, add tests for it
  * Fix wrong route in circles
  * Fix unittests that rely on a non-writable root directory
  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Fix the documentation about how to create a routing graph
  * Removing extra semicolons causing warnings with wpedantic.
  * Making all includes in lanelet2_routing consistent.
  * Updating package.xml files to format 3.
  * Fix use of equals in older boost versions
  * Arbitrary lanelet and area adjacencies in LaneletPaths
  * Add functionality to create the bounding polygon from a Path
  * Contributors: Fabian Poggenhans, Johannes Janosovits, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-routing (1.0.1-2focal) focal; urgency=high

  * Mention laneletSubmap in README
  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Add changelogs
  * Fix clang-tidy warnings
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-noetic-lanelet2-routing (1.0.0-2focal) focal; urgency=high

  * Bump version to 1.0
  * Routing: Add shortest path search based on areas
  * Fix default values for lane changes in RoutingGraph
  * RoutingGraph and Route now use the new LaneletSubmap to store the lanelets they are using
    their member functions laneletMap() and passableMap() are now deprecated and should be replaced by laneletSubmap() and passableSubmap() respectively. These functions have less overhead and are less likely to be misinterpreted as 'maps containing only the lanelets you need'
  * Edges with nonfinite costs are no longer added to the graph to avoid overflows.
    If a cost function returns infinite costs, no edge will be added and the connection will not be available to the routing graph
  * Introduce proper namespacing for internal objects
  * Update documentation
  * Routing graph and route object now support queries with a custom search function
    Routing graph and route object now both have a function forEachSuccessor (and more) for doing more advanced queries. Added doc tests and python bindings
  * Update the shortest path algorithm to use the new dijktra search
  * Extended and simplified the reachablePath/Set functions
    by using boost graphs implementation of dijkstras shortest paths
  * Refactored the internal representation of the route. Cleaned up headers that are only supposed to be used internally
  * Complete rewrite of the route builder using boost graph
  * Removed the "diverging" and "merging" classification from the routing
    graph and update the doc
    They are now all represented with the "succeeding" relation. Information
    about merging or diverging can now be obtained simply by querying the
    number of following/preceding lanelets.
    As a consequence, the route object no longer caches queried "lanes". The
    responsible functions are now const.
  * Fix compiler errors with gcc 5
  * Fix image paths in routing doc
  * Initial commit
  * Contributors: Fabian Poggenhans, Johannes Janosovits, Maximilian Naumann

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000
